[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBEdit.SetReadOnly

Sets the value for the ReadOnly property.

## Declaration

Source position: dbctrls.pp line 192

`protected procedure TDBEdit.SetReadOnly(`
`Value: Boolean`
`); override;`

## Arguments

`Value` |  | New value for the property.

## Description

SetReadOnly is a procedure used to set the value for the ReadOnly property. SetReadOnly calls the inherited method. Write access for the property value is redirected to the ReadOnly property in the internal TFieldDataLink instance used in the class.

## See also

TDBEdit.ReadOnly |  | Indicates if the control cannot modify the field in the linked dataset.
TDataLink.ReadOnly
TCustomEdit.SetReadOnly |  | Sets the value for the ReadOnly property.